libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Macros | Enumerations | Functions | Variables
xr-lib.h File Reference

XML-RPC Library Setup API. More...

`#include <glib.h>`
`#include "xr-config.h"`

Go to the source code of this file.

## Macros

#define | xr_debug(mask, fmt, args...) do { if (G_UNLIKELY(xr_debug_enabled & mask)) _xr_debug(G_STRLOC ": ", fmt, ## args); } while(0)
| Conditional debug message. More...
#define | xr_trace(mask, fmt, args...) do { if (G_UNLIKELY(xr_debug_enabled & mask)) _xr_debug(G_STRFUNC, fmt, ## args); } while(0)
| Conditional trace message. More...

## Enumerations

enum | { XR_DEBUG_HTTP = (1 << 0), XR_DEBUG_HTTP_TRACE = (1 << 1), XR_DEBUG_SERVER = (1 << 2), XR_DEBUG_SERVER_TRACE = (1 << 3), XR_DEBUG_CLIENT = (1 << 4), XR_DEBUG_CLIENT_TRACE = (1 << 5), XR_DEBUG_SERVLET = (1 << 6), XR_DEBUG_SERVLET_TRACE = (1 << 7), XR_DEBUG_CALL = (1 << 8), XR_DEBUG_CALL_TRACE = (1 << 9), XR_DEBUG_VALUE = (1 << 10), XR_DEBUG_LIB = (1 << 11), XR_DEBUG_ALL = 0xffffffff }

## Functions

G_BEGIN_DECLS void | _xr_debug (const char *loc, const char *fmt,...)
| Log message. More...
void | xr_init ()
| Initialize libxr. More...
void | xr_fini ()
| Finalize libxr. More...

## Variables

int | xr_debug_enabled
| Global variable used to enable debugging messages. More...

## Detailed Description

XML-RPC Library Setup API.

Using this API you can turn on debuging and logging.

Documentation for libxr, Fri Apr 15 2016 08:12:18.